Closed Bug 599647 Opened 9 years ago Closed 9 years ago

ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_framebuffer.html | Test timed out

Categories

(Core :: Audio/Video, defect)

x86_64
Linux
defect
Not set

Tracking

()

RESOLVED FIXED

People

(Reporter: dholbert, Unassigned)

References

Details

(Keywords: intermittent-failure)

The test "test_framebuffer.html" has been sporadically timing out recently (e.g. see failure reports on bug 551243, bug 589595), but no one's filed a bug yet AFAICT, so I'm filing one here.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285439010.1285441323.22276.gz
53442 ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_framebuffer.html | Test timed out.
Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/09/25 11:23:30
s: talos-r3-fed64-033
Blocks: 438871
Whiteboard: [orange]
(In reply to comment #14)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286389121.1286391362.22197.gz
> Rev3 Fedora 12x64 tracemonkey debug test mochitests-1/5 on 2010/10/06 11:18:41

This looks like it's crashing inside PolyIC? A JS bug maybe?


Thread 0 (crashed)
 0  libxul.so!JSC::X86Assembler::setRel32 [X86Assembler.h:d03cc1038c7a : 2251 + 0x30]
    rbx = 0x0000005f   r12 = 0x01d44380   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x68391877   rsp = 0xdfff80f0   rbp = 0xdfff8110
 1  libxul.so!JSC::X86Assembler::linkJump [X86Assembler.h:d03cc1038c7a : 2116 + 0x15]
    rbx = 0x0000005f   r12 = 0x01d44380   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x683afb35   rsp = 0xdfff8120   rbp = 0xdfff8140
 2  libxul.so!JSC::AbstractMacroAssembler<JSC::X86Assembler>::linkJump [AbstractMacroAssembler.h:d03cc1038c7a : 518 + 0x17]
    rbx = 0x0000005f   r12 = 0x01d44380   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x683afb62   rsp = 0xdfff8150   rbp = 0xdfff8170
 3  libxul.so!JSC::LinkBuffer::link [LinkBuffer.h:d03cc1038c7a : 113 + 0x17]
    rbx = 0x0000005f   r12 = 0x01d44380   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x683afb8f   rsp = 0xdfff8180   rbp = 0xdfff81a0
 4  libxul.so!SetPropCompiler::generateStub [PolyIC.cpp:d03cc1038c7a : 501 + 0x20]
    rbx = 0x0000005f   r12 = 0x01d44380   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x683b98fe   rsp = 0xdfff81b0   rbp = 0xdfff8b70
 5  libxul.so!SetPropCompiler::update [PolyIC.cpp:d03cc1038c7a : 661 + 0x17]
    rbx = 0x5c2b13c0   r12 = 0x16263930   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x683bca3d   rsp = 0xdfff8b80   rbp = 0xdfff8c70
 6  libxul.so!js::mjit::ic::SetProp [PolyIC.cpp:d03cc1038c7a : 2158 + 0x8]
    rbx = 0x5c2b13c0   r12 = 0x16263930   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0x16263930   rip = 0x683b3fb8   rsp = 0xdfff8c80   rbp = 0xdfff8d20
(In reply to comment #12)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1286346176.1286349146.12818.gz
> Rev3 Fedora 12x64 tracemonkey debug test mochitests-1/5 on 2010/10/05 23:22:56

This looks like we're stuck with multiple nsBuiltinDecoder::Stop and nsWaveDecoder::Stop calls on the main thread. This is probably the same as bug 523319, but it's different than the failure in PolyIC from comment 14.
(In reply to comment #6)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285951791.1285954707.24824.gz
> Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/10/01
> 09:49:51

This also look like it's the same as bug 523319.
(In reply to comment #4)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1285881210.1285884123.31809.gz
> Rev3 Fedora 12x64 tracemonkey debug test mochitests-1/5 on 2010/09/30 14:13:30

This also look like it's the same as bug 523319.
(In reply to comment #3)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1285874389.1285876673.27153.gz
> Rev3 Fedora 12x64 tracemonkey debug test mochitests-1/5 on 2010/09/30 12:19:49

This is another instance of the crash in PolyIC.
(In reply to comment #2)
> philringnalda%gmail.com
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285637910.1285641082.14890.gz
> Rev3 Fedora 12 mozilla-central debug test mochitests-1/5 on 2010/09/27 18:38:30

This also look like it's the same as bug 523319.

There are threads with symbols which are blocked in draining in pulseaudio; this is a known bug in pusleaudio, and requires pulseaudio to be updated on the linux test machines (bug 574190) to fix it...
Depends on: 574190
(In reply to comment #0)
> The test "test_framebuffer.html" has been sporadically timing out recently
> (e.g. see failure reports on bug 551243, bug 589595), but no one's filed a bug
> yet AFAICT, so I'm filing one here.
> 
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1285439010.1285441323.22276.gz
> 53442 ERROR TEST-UNEXPECTED-FAIL |
> /tests/content/media/test/test_framebuffer.html | Test timed out.
> Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2010/09/25
> 11:23:30
> s: talos-r3-fed64-033

This is a crash in PolyIC. There is 72 threads active, but we don't have symbols for them...
Marking as fixed by bug 573924.  If this recurs, please file a new bug.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.